package cn.iocoder.yudao.module.mes.controller.admin.changerecord.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 变更类型枚举**/
@Getter
@AllArgsConstructor
public enum ChangeTypeEnum {

    创建("创建"),
    编辑("编辑"),
    删除("删除"),
    提交("提交"),
    审核("审核");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static ChangeTypeEnum fromValue(String value) {
        for (ChangeTypeEnum status : ChangeTypeEnum.values()) {
            if (status.value.equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}